pub fn parse_box<'a>(boxed: Box<str>) -> &'a str {
    unsafe { &*Box::into_raw(boxed) }
}

#[allow(clippy::boxed_local)]
pub fn parse_boxed<'a>(boxed_array: Box<[Box<str>]>) -> Vec<&'a str> {
    boxed_array
        .iter()
        .map(|arg| parse_box(arg.to_owned()))
        .collect()
}
